## iscan-data 1.39.0-1

=== debian/changelog ===
iscan-data (1.39.0-1) unstable; urgency=low

  * latest "upstream"
    See the NEWS and/or ChangeLog files for details.

 -- AVASYS CORPORATION <linux-scanner@epson.jp>  Mon, 21 Nov 2016 05:47:46 +0000
