=== debian/control ===
#  control.in -- %__FILE_DESC__%
#  Copyright (C) 2010--2011, 2014  SEIKO EPSON CORPORATION
#
#  License: GPLv2+
#  Authors: AVASYS CORPORATION
#
#  This file is part of the 'iscan-data' package.
#  This package is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 2 of the License or, at
#  your option, any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#  You ought to have received a copy of the GNU General Public License
#  along with this package.  If not, see <http://www.gnu.org/licenses/>.


Source: iscan-data
Section: non-free/graphics
Priority: extra
Maintainer: AVASYS CORPORATION <linux-scanner@epson.jp>
Build-Depends: cdbs, debhelper (>= 5.0.42), xsltproc
Standards-Version: 3.8.0

Package: iscan-data
Architecture: all
Depends: udev (>= 0.105-4), xsltproc, ${misc:Depends}
Conflicts: iscan (<< 2.30.0)
Description: Image Scan! for Linux data files
 Provides the necessary support files for Image Scan! for Linux,
 including device information and policy file generation logic.
 .
 Image Scan! for Linux will not function without this package.
